import { GeneralService } from '../share/generalservice.js'

export class BudgetAddService {

  constructor() {
    this.generalService = new GeneralService()
  }

  async getBudgetAdd(database, name) {
    const sql = `
      SELECT 
        bdgseq,
        bdgnam
      FROM ${database}.bdgmst
      WHERE bdgnam = $1
  `
    const params = [name]
    const result = await this.generalService.executeQueryParam(database, sql, params);
    return result
  }
}